## critterding 1.0-beta12.1

=== debian/changelog ===
critterding (1.0-beta12.1-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fixing FTBFS on GCC 6. (Closes: 811621)

 -- Breno Leitao <brenohl@br.ibm.com>  Sun, 17 Jul 2016 16:46:12 -0400

critterding (1.0-beta12.1-1.2) unstable; urgency=low

  [ Cyril Brulebois ]
  * Non-maintainer upload.
  * Fix FTBFS with gcc 4.7 due to missing <unistd.h> include (Closes: #667143).

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 13 May 2012 15:38:27 +0100

critterding (1.0-beta12.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: BulletSoftBody/btSoftBodyInternals.h:175:17: error:
    uninitialized const 'zerodummy' [-fpermissive]":
    add patches from Ubuntu / Daniel T Chen:
    - 10uninitialized_constant
    - 11const_cast
    Fixes FTBFS. (LP: #770902) (Closes: #624965)
            
 -- gregor herrmann <gregoa@debian.org>  Sun, 23 Oct 2011 16:18:07 +0200

critterding (1.0-beta12.1-1) unstable; urgency=low

  * New upstream release.
  * Verdana fonts replaced with DejaVuSans fonts.
    - Removed patch 01nonfreefonts.
    - Removed +dfsg from version number.
    - Removed ttf-liberation dependency.
  * Removed patch 00libftgl, now it builds against system ftgl.
  * Added patch 00fontandiconpath to replace font and icon relative paths with
    absolute ones.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Thu, 18 Mar 2010 02:03:17 +0100

critterding (1.0-beta11+dfsg-2) unstable; urgency=low

  * Added upstream README (Closes: #568698)
  * Added menu/desktop icons
  * Added ttf-liberation as runtime dependency (Closes: #568764)

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sun, 07 Feb 2010 17:51:39 +0100

critterding (1.0-beta11+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #565472)

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sat, 23 Jan 2010 04:14:14 +0100
