=== debian/control ===
Source: critterding
Section: science
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Gabriele Giacone <1o5g4r8o@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, automake, libtool,
 pkg-config, mesa-common-dev, libglu1-mesa-dev, libsdl1.2-dev, libftgl-dev,
 imagemagick
Standards-Version: 3.8.4
DM-Upload-Allowed: yes
Vcs-Git: git://git.debian.org/debian-science/packages/critterding.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/critterding.git
Homepage: http://critterding.sourceforge.net/

Package: critterding
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Evolving Artificial Life
 Critterding is a "Petri dish" universe in 3D that demonstrates
 evolving artificial life. Critters start out with completely
 random brains and bodies, but will automatically start evolving
 into something with much better survival skills.
