=== debian/rules ===
#!/usr/bin/make -f

VERSION := $(shell dpkg-parsechangelog|sed -n '/^Version/{s/Version: \(.*\)-[0-9]*$$/\1/;s/+dfsg//p}')

%:
	dh  $@

override_dh_auto_build:
	autoreconf -fi
	./configure --prefix=/usr

override_dh_auto_install:
	dh_auto_install
	# icons
	mkdir $(CURDIR)/debian/icons && cd $(CURDIR)/debian/icons && mkdir 16 22 48
	convert $(CURDIR)/debian/critterding.png -scale 16x16 $(CURDIR)/debian/icons/16/critterding.png
	convert $(CURDIR)/debian/critterding.png -scale 22x22 $(CURDIR)/debian/icons/22/critterding.png
	convert $(CURDIR)/debian/critterding.png -scale 48x48 $(CURDIR)/debian/icons/48/critterding.png
	convert $(CURDIR)/debian/critterding.png -scale 32x32 $(CURDIR)/debian/icons/critterding.xpm

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) distclean
	find . -name Makefile.in -delete
	rm -f aclocal.m4 config.* configure depcomp install-sh ltmain.sh missing
	rm -rf m4 src/utils/ftgl/.deps src/utils/ftgl/Makefile 
	rm -rf $(CURDIR)/debian/icons

get-orig-source:
	uscan --verbose --download-version $(VERSION) \
		--force-download --repack --no-symlink --rename
