## critterding 1.0-beta12.1+dfsg

=== debian/changelog ===
critterding (1.0-beta12.1+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Gabriele Giacone ]
  * Repacking:
    + Remove embedded bullet, glew, tinyxml and ftgl libraries from tarball.
    + Add patch to use system libraries instead of embedded ones.
    + Readd +dfsg suffix to version.
  * Remove DMUA flag.
  * Fix d/copyright according to format specification 1.0.

  [ Andreas Tille ]
  * Fix Vcs fields
  * Exclude beta14 from watch file since its known to fail at startup
    (see bug #756997 for the package in experimental)
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Do not parse d/changelog (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * debian/copyright: Replace commas with whitespace to separate items in Files
    paragraph.
  * Use secure URI in Homepage field.
  * watch file standard 4 (routine-update)
  * Remove debian/critterding.menu (since we have critterding.desktop)
  * Remove code copy of ftgl
  * Trust dh_auto_configure
    Closes: #929586
  * Fix bashism
    Closes: #998789
  * Enable hardening options
  * Add myself as Uploader
    Closes: #856739
  * Fix clean target
    Closes: #1044933

 -- Andreas Tille <tille@debian.org>  Fri, 06 Sep 2024 22:21:52 +0200
