=== debian/control ===
Source: critterding
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               pkgconf,
               mesa-common-dev,
               libglu1-mesa-dev,
               libsdl1.2-dev,
               libftgl-dev,
               imagemagick
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/science-team/critterding
Vcs-Git: https://salsa.debian.org/science-team/critterding.git
Homepage: https://critterding.sourceforge.net/
Rules-Requires-Root: no

Package: critterding
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Evolving Artificial Life
 Critterding is a "Petri dish" universe in 3D that demonstrates
 evolving artificial life. Critters start out with completely
 random brains and bodies, but will automatically start evolving
 into something with much better survival skills.
