=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,12 @@
 #!/usr/bin/make -f
 
-VERSION := $(shell dpkg-parsechangelog|sed -n '/^Version/{s/Version: \(.*\)-[0-9]*$$/\1/;s/+dfsg//p}')
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh  $@
 
-override_dh_auto_build:
-	autoreconf -fi
-	./configure --prefix=/usr
+override_dh_auto_configure:
+	dh_auto_configure -- --enable-system-ftgl
 
 override_dh_auto_install:
 	dh_auto_install
@@ -22,10 +21,4 @@
 	[ ! -f Makefile ] || $(MAKE) distclean
 	find . -name Makefile.in -delete
 	rm -f aclocal.m4 config.* configure depcomp install-sh ltmain.sh missing
-	rm -rf m4 src/utils/ftgl/.deps src/utils/ftgl/Makefile 
 	rm -rf $(CURDIR)/debian/icons
-
-get-orig-source:
-	uscan --verbose --download-version $(VERSION) \
-		--force-download --repack --no-symlink --rename
-
