=== debian/watch ===
version=4
opts="dversionmangle=auto,repacksuffix=+dfsg,uversionmangle=s/^/1.0-/;s/beta14/beta0/;s/beta13/beta0/" \
http://sf.net/critterding/critterding-(.*).tar.bz2
