## critterding 1.0-beta14+dfsg

=== debian/changelog ===
critterding (1.0-beta14+dfsg-2) experimental; urgency=medium

  * Fix {,-common} package split (Closes: #767855).

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Mon, 03 Nov 2014 00:57:06 +0100

critterding (1.0-beta14+dfsg-1) experimental; urgency=low

  * New upstream release.
  * Repacking:
    + Remove embedded bullet, glew, tinyxml and ftgl libraries from tarball.
    + Add patch to use system libraries instead of embedded ones.
    + Add libbullet-dev, libglew-dev and libtinyxml-dev as B-D.
    + Readd +dfsg suffix to version.
  * Add -common arch:all package. Move arch-indep files.
  * Add -dbg binary package with debug symbols.
  * Make VCS-* fields canonical.
  * Bump Standards-Version to 3.9.5 (no changes).
  * Add cmake, libqt4-opengl-dev, libboost-{thread,filesystem,iostreams}-dev,
    libsdl-image1.2-dev to B-D.
  * Remove DMUA flag.
  * Add parallel building support.
  * Fix d/copyright according to format specification 1.0.
  * Bump debhelper compatibility to 9.
  * Switch source and binaries compression to xz.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Mon, 04 Aug 2014 11:41:30 +0200
