=== debian/control ===
Source: critterding
Section: science
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Gabriele Giacone <1o5g4r8o@gmail.com>
Build-Depends: debhelper (>= 9), autotools-dev, automake, libtool,
 pkg-config, mesa-common-dev, libglu1-mesa-dev, libsdl1.2-dev, libftgl-dev,
 imagemagick, cmake, libqt4-opengl-dev, libboost-thread-dev,
 libboost-filesystem-dev, libboost-iostreams-dev, libsdl-image1.2-dev,
 libbullet-dev, libtinyxml-dev, libglew-dev
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/debian-science/packages/critterding.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/critterding.git
Homepage: http://critterding.sourceforge.net/

Package: critterding
Architecture: any
Depends: critterding-common (= ${source:Version}), ${shlibs:Depends},
 ${misc:Depends}
Description: Evolving Artificial Life
 Critterding is a "Petri dish" universe in 3D that demonstrates
 evolving artificial life. Critters start out with completely
 random brains and bodies, but will automatically start evolving
 into something with much better survival skills.

Package: critterding-common
Architecture: all
Depends: ${misc:Depends}
Replaces: critterding (<< 1.0-beta14+dfsg-1)
Breaks: critterding (<< 1.0-beta14+dfsg-1)
Description: Evolving Artificial Life - architecture-independent files
 Critterding is a "Petri dish" universe in 3D that demonstrates
 evolving artificial life. Critters start out with completely
 random brains and bodies, but will automatically start evolving
 into something with much better survival skills.
 .
 This package includes architecture-independent files.

Package: critterding-dbg
Section: debug
Architecture: any
Depends: critterding (= ${binary:Version}), ${misc:Depends}
Description: Evolving Artificial Life - debug symbols
 Critterding is a "Petri dish" universe in 3D that demonstrates
 evolving artificial life. Critters start out with completely
 random brains and bodies, but will automatically start evolving
 into something with much better survival skills.
 .
 This package includes debug symbols for critterding.
